### Method

# Gck Builder find_string

#### Declaration [src]

    gboolean
    gck_builder_find_string (
      GckBuilder* builder,
      gulong attr_type,
      gchar** value
    )

#### Description [src]

Find a string attribute in the builder that has the type `attr_type`, has a non `NULL` value pointer, and is not invalid in the PKCS#11 sense. If multiple attributes exist for the given attribute type, then the first one is returned.

#### Parameters

`attr_type` | `gulong`
| The type of attribute to find.
`value` | `gchar**`
| The location to place the found value.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| Whether a valid string attribute was found.